import request from '@/utils/request'

// 查询小组列表
export function listTeam(query) {
  return request({
    url: '/business/team/list',
    method: 'get',
    params: query
  })
}

// 查询小组详细
export function getTeam(teamId) {
  return request({
    url: '/business/team/' + teamId,
    method: 'get'
  })
}

// 新增小组
export function addTeam(data) {
  return request({
    url: '/business/team',
    method: 'post',
    data: data
  })
}

// 修改小组
export function updateTeam(data) {
  return request({
    url: '/business/team/'+data.teamId,
    method: 'put',
    data: data
  })
}

// 删除小组
export function delTeam(teamId) {
  return request({
    url: '/business/team/' + teamId,
    method: 'delete'
  })
}
